/*

  Dual Axis Joystick Module

  Parts required:
  - Arduino Board
  - Dual Axis Joystick Module
  - 1K Ohm Resistor (Pull up)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jun 2019
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

// Initialize all variables
int readValue = 0;                              // Set readValue to 0
int digitalSwitchPin = 7;                       // Use digital Pin 7
int analogVRx = A0;                             // Use analog Pin A0
int analogVRy = A1;                             // Use analog Pin A1
int delayTimer = 200;                           // Set delayTimer to delay(200)

void setup() {
  pinMode(digitalSwitchPin, INPUT);             // Set digitalSwitchPin as INPUT
  Serial.begin(9600);                           // Start Serial Communication
}

void loop() {
  readValue = analogRead(analogVRx);            // Read X axis value [0..1023]
  Serial.print("X: ");                          // Print text
  Serial.println(readValue, DEC);               // Print value

  readValue = analogRead(analogVRy);            // Read Y axis value [0..1023]
  Serial.print("Y: ");                          // Print text
  Serial.println(readValue, DEC);               // Print value

  readValue = digitalRead(digitalSwitchPin);    // Read Button state [0,1]
  Serial.print("Button: ");                     // Print text
  Serial.println(readValue);                    // Print value

  delay(delayTimer);                            // Wait for delayTimer(x)
}
